// created on 7/28/2004 at 7:09 PM
/*
 *   Copyright (c) 2004, Alexandros Frantzis (alf82 [at] freemail [dot] gr)
 *
 *   This file is part of Bless.
 *
 *   Bless is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Bless is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Bless; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
using System;
using Gtk;

 
namespace Bless.Gui.Dialogs {

	///<summary>An alert dialog box as recommended in the Gnome HIG</summary>
	abstract public class Alert : Gtk.Dialog
	{
		protected Gtk.HBox hbox;
		protected Gtk.Image image;
		protected Gtk.Label label;
	
		public Alert(string primary, string secondary, Gtk.Window parent) 
		: base("", parent,Gtk.DialogFlags.DestroyWithParent)
		{
			this.Modal=true;
			//this.TypeHint=Gdk.WindowTypeHint.Utility;
			this.BorderWidth=6;
			this.HasSeparator=false;
			this.Resizable=false;
		
			this.VBox.Spacing=12;
		
			hbox=new Gtk.HBox();
			hbox.Spacing=12;
			hbox.BorderWidth=6;
			this.VBox.Add(hbox);
			
			image=new Gtk.Image();
			image.Yalign=0.0F;
			hbox.Add(image);
			
			label=new Gtk.Label();
			label.Yalign=0.0F;
			label.UseMarkup=true;
			label.Wrap=true;
			hbox.Add(label);
		
			label.Markup="<span weight=\"bold\" size=\"larger\">"+primary+"</span>\n\n"+secondary;
		}

	}	



} 